# ios-spritekit-flappy-flying-bird
🐦 `Flappy Fly-Bird` is a `SpriteKit` game written using the latest verion of `Swift` programming language and `GameplayKit`.

# Demo 

## Screens
<img src="/resources/img-01.PNG" width="30%"> <img src="/resources/img-02.PNG" width="30%">

<img src="/resources/img-03.PNG" width="30%"> <img src="/resources/img-04.PNG" width="30%">

## Gifs
<img src="/resources/intro.gif" width="45%"> <img src="/resources/gameplay.gif" width="45%">


# Caution 
There were used graphical resources such as `audio`, `music` and `images`. Those resources are for non commercial use. If you want to reuse the developments in your projects you **must remove all the assets**.

# Features
- `Infinite` side-scrolling game 
- `Haptic feedback` on supported devides
- Uses `state machines`
- Utilizes `SpriteKit` editor 
- Uses `CoreGraphics` to construct `tile-based` pipes
- Suported both `iPhone` and `iPad`screens
- Uses simple technique for `persistence` (for `Scores` and `Settings`)

# Roadmap
- [ ] New unlockable, playable characters with unique visual effects
- [ ] Achievement system: will be used to unlock new playable characters and visual effects
- [ ] Addition of custom effects when player stars new run and the character dies
- [ ] Custom scene transitions
- [ ] Game bonuses: another good example of `GameplayKit`usage
- [ ] New pipe types
- [ ] Level opening and bird dying animation

# Author 
[Astemir Eleev](https://github.com/jVirus)

# Licence
The project is availabe under the [BSD 3-Clause "New" or "Revised" License](https://github.com/jVirus/ios-spritekit-flappy-flying-bird/blob/master/LICENSE). Remember: you must not use any of the `assets` in commercial purposes.
